using System;
using System.Collections.Generic;
using Jypeli;
using Jypeli.Assets;
using Jypeli.Controls;
using Jypeli.Widgets;
using Microsoft.Win32.SafeHandles;

namespace Arvaa;

/// @author sakar
/// @version 04.03.2025
/// <summary>
/// 
/// </summary>
using System;
using Jypeli;
using Jypeli.Controls;
using Jypeli.Widgets;


public class Arvaa : Game
{
    int arvattava;
    int yritykset = 10;
    Label viesti;
    Label viesti2;
    Label viesti3;
    InputBox syotekentta;

    public override void Begin()
    {
        arvattava = RandomGen.NextInt(1, 51);
        viesti = new Label("Arvaa luku 1-50")
            { TextColor = Color.Black, Position = new Vector(100, 180), Font = Font.DefaultBold };
        viesti2 = new Label("Arvaa oikea luku tai jäät ikuisesti Ohjelmointi1 kurssin vangiksi!")
            { TextColor = Color.Black, Position = new Vector(100, 230), Font = Font.DefaultBold };
        viesti3 = new Label(" Sinulla on 10 yritystä!")
            { TextColor = Color.Black, Position = new Vector(100, 205), Font = Font.DefaultBold };
        Add(viesti);
        Add(viesti2);
        Add(viesti3);
        
        GameObject demoni = new GameObject(350, 500);
        demoni.Position = new Vector(-350, -150);
        demoni.Image = LoadImage("DEMOni2");
        Add(demoni);
        
        GameObject puhekupla = new GameObject(750, 180);
        puhekupla.Position = new Vector(100, 200);
        puhekupla.Image = LoadImage("puhekupla");
        Add(puhekupla);


        syotekentta = new InputBox(10) { Position = new Vector(0, 0), TextColor = Color.Black };
        syotekentta.Color = Color.White;
        Add(syotekentta);

        PushButton arvausNappi = new PushButton(150, 100, "Arvaa") { Position = new Vector(0, -100) };
        arvausNappi.Clicked += Tarkista;
        Add(arvausNappi);

        Level.Background.Color = Color.Red;
        Camera.ZoomToLevel();
        
    }

    void Tarkista()
    {
        int arvaus = 0;
        
        if (arvaus == arvattava)
        {
            viesti.Text = "Oikein! Päästän sinut läpi Ohjelmointi1 kurssista!";
            viesti.TextColor = Color.Green;
            viesti.Font = Font.DefaultBold;
            return;
        }
        
        yritykset--;
        if (yritykset == 0)
        {
            viesti.Text = "Hävisit! Jäät ikuisesti vangiksi kurssille! Oikea luku olisi ollut " + arvattava;
            viesti.TextColor = Color.Red;
            viesti.Font = Font.DefaultBold;
            return;
        }
        viesti.Text = (arvaus < arvattava) ? "Liian pieni!" : "Liian suuri!";
        viesti.TextColor = Color.Black;
        viesti.Font = Font.DefaultBold;
    }

}
